Subject: RE: Dr. Scheme Editor Question

From: "Gibson, David, Lt Col, DFCS" <[email-masked]>
Date: Wed, 15 Mar 2000 08:40:14 -0700

Thanks!  That worked.  I had played around with the preferences, but I guess
I didn't try that one.  I have a 7-lesson functional programming section in
my "Programming Paradigms" course for which the students use Dr. Scheme.  We
used an older version last spring and will use it again this fall (when the
course changes the fall semester).  The slick IDE really makes it easy for
the students to get going with Scheme fast.  You guys have done a great job
with it!  After only 3 weeks, the students still favor Ada, but I think
they've gained a good appreciation for Scheme.

Dave
--
Lt Col David S. Gibson
Deputy Head and Assistant Professor
Department of Computer Science
United States Air Force Academy
(719) 333-7644 (commercial/DSN)

-----Original Message-----
From: Shriram Krishnamurthi [mailto:[email-masked]]
Sent: Wednesday, March 15, 2000 8:21 AM
To: Gibson, David, Lt Col, DFCS
Subject: Dr. Scheme Editor Question

Hi,

Sorry for the belated response.  I've been on the road a lot lately.

The problem is of course that you're getting the menu entries rather
than the Emacs bindings.  The solution is to visit Edit |
Preferences.  The third entry in the menu at the top of that window is 
very helpfully named "General".  Near the bottom of that menu is a
checkbox named "Enable keybindings in menus".  The default
distribution has this on.  If you turn it off, DrScheme will cease
this (extremely annoying, to me!) behavior.

Let me know if that fails to address your problem.

'shriram

PS: Is DrScheme being used for courses at the Air Force Academy?